3 Replies Latest reply: Aug 17, 2010 2:04 PM by wrobbins2 RSS

    How to install patch 124861-19

    807567
      I am trying to install patch 124861-19 on a T2000 in order to install Oracle 11g. I am getting the following message. What should I do to install the patch?

      Thanks
      Manish

      -bash-3.00# smpatch add -i 124861-19
      add patch 124861-19
      Validating patches...
      Loading patches installed on the system...
      Done!
      Loading patches requested to install.
      Done!
      The following requested patches have packages not installed on the system
      Package SPROlang from directory SPROlang in patch 124861-19 is not installed on the system. Changes for package SPROlang will not be applied to the system.
      Package SPROmrcom from directory SPROmrcom in patch 124861-19 is not installed on the system. Changes for package SPROmrcom will not be applied to the system.
      Package SPROlangx from directory SPROlangx in patch 124861-19 is not installed on the system. Changes for package SPROlangx will not be applied to the system.
      Package SPROsunms from directory SPROsunms in patch 124861-19 is not installed on the system. Changes for package SPROsunms will not be applied to the system.
      Checking patches that you specified for installation.
      Done!
      The following requested patches will not be installed because
      the packages they patch are not installed on this system.
      0 No Packages from patch 124861-19 are installed on the system.
      No patches to install.
        • 1. Re: How to install patch 124861-19
          Robert Cohen
          That suggests to me that its a Sun Studio patch. And you don't have Sun Studio installed, so it can't be applied.
          What to do should be obvious from there :-).
          • 2. Re: How to install patch 124861-19
            807567
            Thanks, looks like I need to install Sun Studio. But why is it necessary to install an IDE to install a database binary?

            Manish
            • 3. Re: How to install patch 124861-19
              wrobbins2
              Oracle® DatabaseQuick Installation Guide

              11g Release 1 (11.1) for Solaris Operating System


              4.2 Package Requirements
              The following packages (or later versions) must be installed:

              SUNWarc
              SUNWbtool
              SUNWhea
              SUNWlibC
              SUNWlibm
              SUNWlibms
              SUNWsprot
              SUNWtoo
              SUNWi1of
              SUNWi1cs
              SUNWi15cs
              SUNWxwfnt
              SUNWsprox
              Note:

              The SUNWsprox package is not supported on Solaris 10.
              You may also require additional font packages for Java, depending on your locale. Refer to the following Web site for more information:

              http://java.sun.com/j2se/1.4.2/font-requirements.html
              To determine whether the required packages are installed, enter commands similar to the following:

              # pkginfo -i SUNWarc SUNWbtool SUNWhea SUNWlibm SUNWlibms SUNWsprot \
              SUNWsprox SUNWtoo SUNWi1of SUNWi1cs SUNWi15cs SUNWxwfnt
              If a package is not installed, then install it. Refer to your operating system or software documentation for information about installing packages.

              4.3 Compiler Requirements
              Starting with Oracle Database 11g release 1, Sun Studio 11 is the supported compiler for Pro*C/C++ , Oracle Call Interface, Oracle C++ Call Interface, and Oracle XML Developer's Kit (XDK) with Oracle Database 11g release 1.